| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SampledFunction< RT, T > Class Template Referenceabstract
Algo

Make any sampled series comply with MathFunction. More...

`#include <samplfunc.h>`

Inheritance diagram for SampledFunction< RT, T >:
[legend]

## Public Member Functions
| SampledFunction (bool periodic_=false)
virtual float | getDx () const =0
float | getIndex (float x) const
int | getNearestIndex (float x) const
RT | getValue (const RT *x) const
RT | getValue (RT x) const override
virtual float | getX0 () const =0
virtual RT | operator[] (od_int64) const =0
virtual float | period () const
void | setPeriodic (bool np)
virtual int | size () const =0
Public Member Functions inherited from MathFunction< RT, RT >
RT | getNDValue (const RT *pos) const override
int | getNrDim () const override
Public Member Functions inherited from MathFunctionND< RT, PT >
virtual | ~MathFunctionND ()
virtual RT | getNDValue (const PT *) const =0

## Protected Member Functions
virtual bool | doInterpolate () const
virtual bool | extrapolate () const
virtual bool | hasUdfs () const

## Protected Attributes
bool | periodic

## Detailed Description

template<class RT, class T>
class SampledFunction< RT, T >

Make any sampled series comply with MathFunction.

If the sampled values are periodic (i.e. phase), set the periodic flag and let period() return the period ( i.e. 2*pi for phase ).

<>

## Constructor & Destructor Documentation

## ◆ SampledFunction()

template<class RT , class T >

SampledFunction< RT, T >::SampledFunction | ( | bool | periodic_ = false | ) |
| inline

## Member Function Documentation

## ◆ doInterpolate()

template<class RT , class T >

virtual bool SampledFunction< RT, T >::doInterpolate | ( |  | ) | const
| inline protected virtual

Reimplemented in SampledFunctionImpl< RT, T >.

## ◆ extrapolate()

template<class RT , class T >

virtual bool SampledFunction< RT, T >::extrapolate | ( |  | ) | const
| inline protected virtual

## ◆ getDx()

template<class RT , class T >

virtual float SampledFunction< RT, T >::getDx | ( |  | ) | const
| pure virtual

Implemented in SampledFunctionImpl< RT, T >.

## ◆ getIndex()

template<class RT , class T >

float SampledFunction< RT, T >::getIndex | ( | float | x | ) | const
| inline

## ◆ getNearestIndex()

template<class RT , class T >

int SampledFunction< RT, T >::getNearestIndex | ( | float | x | ) | const
| inline

## ◆ getValue() [1/2]

template<class RT , class T >

RT SampledFunction< RT, T >::getValue | ( | const RT * | x | ) | const
| inline

## ◆ getValue() [2/2]

template<class RT , class T >

RT SampledFunction< RT, T >::getValue | ( | RT | x | ) | const
| inline override virtual

Implements MathFunction< RT, RT >.

## ◆ getX0()

template<class RT , class T >

virtual float SampledFunction< RT, T >::getX0 | ( |  | ) | const
| pure virtual

Implemented in SampledFunctionImpl< RT, T >.

## ◆ hasUdfs()

template<class RT , class T >

virtual bool SampledFunction< RT, T >::hasUdfs | ( |  | ) | const
| inline protected virtual

Reimplemented in SampledFunctionImpl< RT, T >.

## ◆ operator[]()

template<class RT , class T >

virtual RT SampledFunction< RT, T >::operator[] | ( | od_int64 |  | ) | const
| pure virtual

Implemented in SampledFunctionImpl< RT, T >.

## ◆ period()

template<class RT , class T >

virtual float SampledFunction< RT, T >::period | ( |  | ) | const
| inline virtual

Reimplemented in SampledFunctionImpl< RT, T >.

## ◆ setPeriodic()

template<class RT , class T >

void SampledFunction< RT, T >::setPeriodic | ( | bool | np | ) |
| inline

## ◆ size()

template<class RT , class T >

virtual int SampledFunction< RT, T >::size | ( |  | ) | const
| pure virtual

Implemented in SampledFunctionImpl< RT, T >.

## Member Data Documentation

## ◆ periodic

template<class RT , class T >

bool SampledFunction< RT, T >::periodic
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025